aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorKay Sievers <kay.sievers@suse.de>2005-11-09 15:42:07 +0100
committerKay Sievers <kay.sievers@suse.de>2005-11-09 15:42:07 +0100
commita8349b33e564f7faa83341cb1fa58466b0589ae9 (patch)
tree45985cfc248e5219a25230959b00b7baa2b8b276 /test
parentaccff726856a0b3258a413d823a534f4f437e6b2 (diff)
downloadudev-a8349b33e564f7faa83341cb1fa58466b0589ae9.tar.gz
remove our own copy of klibc
Signed-off-by: Kay Sievers <kay.sievers@suse.de>
Diffstat (limited to 'test')
-rwxr-xr-xtest/simple-build-check.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/test/simple-build-check.sh b/test/simple-build-check.sh
index daf0b752..d1c28749 100755
--- a/test/simple-build-check.sh
+++ b/test/simple-build-check.sh
@@ -12,9 +12,6 @@ EXTRAS="\
extras/run_directory \
extras/firmware"
-[ -z "$KERNEL_DIR" ] && KERNEL_DIR=/lib/modules/`uname -r`/build
-echo KERNEL_DIR: "$KERNEL_DIR"
-
# with debug
make clean EXTRAS="$EXTRAS" >/dev/null
make all -j4 $MAKEOPTS DEBUG=true EXTRAS="$EXTRAS" || exit
@@ -25,10 +22,14 @@ make clean EXTRAS="$EXTRAS" >/dev/null
make all $MAKEOPTS USE_LOG=false EXTRAS="$EXTRAS" || exit
echo -e "\n\n"
-# klibc and debug
-make clean EXTRAS="$EXTRAS" >/dev/null
-make all -j4 $MAKEOPTS USE_KLIBC=true DEBUG=true EXTRAS="$EXTRAS" KERNEL_DIR="$KERNEL_DIR" || exit
-echo -e "\n\n"
+# klibc build
+[ -z "$KLCC" ] && KLCC=/usr/bin/klcc
+if [ -e "$KLCC" ]; then
+ echo KLCC: "$KLCC"
+ make clean EXTRAS="$EXTRAS" >/dev/null
+ make all -j4 $MAKEOPTS USE_KLIBC=true DEBUG=true EXTRAS="$EXTRAS" KLCC="$KLCC" || exit
+ echo -e "\n\n"
+fi
# install in temporary dir and show it
TEMPDIR="`pwd`/.tmp"